Get media from a creator's chat
curl --request GET \
--url https://api.fanvue.com/v1/creators/{creatorUserUuid}/chats/{userUuid}/media \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/v1/creators/{creatorUserUuid}/chats/{userUuid}/media"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/v1/creators/{creatorUserUuid}/chats/{userUuid}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"messageUuid": "a1b2c3d4-5e6f-7g8h-9i0j-k1l2m3n4o5p6",
"mediaType": "image",
"created_at": "2024-01-15T00:00:00.000Z",
"sentAt": "2024-01-15T00:00:00.000Z",
"ownerUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"name": "Beach Sunset",
"variants": [
{
"variantType": "main",
"displayPosition": 0,
"url": "https://media.fanvue.com/main/a1b2c3d4-e5f6-7890-abcd-ef1234567890.jpg",
"width": 1920,
"height": 1440,
"lengthMs": null
},
{
"variantType": "thumbnail_gallery",
"displayPosition": 0,
"url": "https://media.fanvue.com/gallery/a1b2c3d4-e5f6-7890-abcd-ef1234567890.jpg",
"width": 400,
"height": 300,
"lengthMs": null
}
],
"purchasedAt": "2024-01-15T00:00:00.000Z",
"pricing": {
"USD": {
"price": 1000
}
},
"amountPaid": {
"USD": {
"price": 700
}
}
},
{
"uuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"messageUuid": "b2c3d4e5-6f7g-8h9i-0j1k-l2m3n4o5p6q7",
"mediaType": "video",
"created_at": "2024-01-14T00:00:00.000Z",
"sentAt": "2024-01-15T00:00:00.000Z",
"ownerUuid": "b2c3d4e5-6f7g-8h9i-0j1k-l2m3n4o5p6q7",
"name": "Cooking Tutorial",
"variants": [
{
"variantType": "main",
"displayPosition": 0,
"url": "https://media.fanvue.com/main/b2c3d4e5-f6a7-8901-bcde-f12345678901.mp4",
"width": 1920,
"height": 1080,
"lengthMs": 45000
},
{
"variantType": "thumbnail",
"displayPosition": 0,
"url": "https://media.fanvue.com/thumb/b2c3d4e5-f6a7-8901-bcde-f12345678901.jpg",
"width": 1920,
"height": 1080,
"lengthMs": null
}
],
"purchasedAt": null,
"pricing": null,
"amountPaid": null
}
],
"nextCursor": "eyJzZW50QmVmb3JlIjoiMjAyNC0wMS0wOVQxMjowMDowMC4wMDBaIiwicmVjZWl2ZWRCZWZvcmUiOiIyMDI0LTAxLTA5VDExOjU4OjAwLjAwMFoifQ=="
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Creator Chats
Get media from a creator's chat
Returns a cursor-paginated list of media items shared between the specified creator and user. Media is extracted from chat messages and ordered by date (newest first).
Pagination Flow:
- First request: Omit the
cursorparameter, returns first 20 media items (or specified limit) - Subsequent requests: Use the
nextCursorfrom the previous response - End of results:
nextCursorwill benull
{
"data": [...media items...],
"nextCursor": "..." // Pass this to the next request to get the following page
}
GET
/
v1
/
creators
/
{creatorUserUuid}
/
chats
/
{userUuid}
/
media
Get media from a creator's chat
curl --request GET \
--url https://api.fanvue.com/v1/creators/{creatorUserUuid}/chats/{userUuid}/media \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/v1/creators/{creatorUserUuid}/chats/{userUuid}/media"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/v1/creators/{creatorUserUuid}/chats/{userUuid}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"messageUuid": "a1b2c3d4-5e6f-7g8h-9i0j-k1l2m3n4o5p6",
"mediaType": "image",
"created_at": "2024-01-15T00:00:00.000Z",
"sentAt": "2024-01-15T00:00:00.000Z",
"ownerUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"name": "Beach Sunset",
"variants": [
{
"variantType": "main",
"displayPosition": 0,
"url": "https://media.fanvue.com/main/a1b2c3d4-e5f6-7890-abcd-ef1234567890.jpg",
"width": 1920,
"height": 1440,
"lengthMs": null
},
{
"variantType": "thumbnail_gallery",
"displayPosition": 0,
"url": "https://media.fanvue.com/gallery/a1b2c3d4-e5f6-7890-abcd-ef1234567890.jpg",
"width": 400,
"height": 300,
"lengthMs": null
}
],
"purchasedAt": "2024-01-15T00:00:00.000Z",
"pricing": {
"USD": {
"price": 1000
}
},
"amountPaid": {
"USD": {
"price": 700
}
}
},
{
"uuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"messageUuid": "b2c3d4e5-6f7g-8h9i-0j1k-l2m3n4o5p6q7",
"mediaType": "video",
"created_at": "2024-01-14T00:00:00.000Z",
"sentAt": "2024-01-15T00:00:00.000Z",
"ownerUuid": "b2c3d4e5-6f7g-8h9i-0j1k-l2m3n4o5p6q7",
"name": "Cooking Tutorial",
"variants": [
{
"variantType": "main",
"displayPosition": 0,
"url": "https://media.fanvue.com/main/b2c3d4e5-f6a7-8901-bcde-f12345678901.mp4",
"width": 1920,
"height": 1080,
"lengthMs": 45000
},
{
"variantType": "thumbnail",
"displayPosition": 0,
"url": "https://media.fanvue.com/thumb/b2c3d4e5-f6a7-8901-bcde-f12345678901.jpg",
"width": 1920,
"height": 1080,
"lengthMs": null
}
],
"purchasedAt": null,
"pricing": null,
"amountPaid": null
}
],
"nextCursor": "eyJzZW50QmVmb3JlIjoiMjAyNC0wMS0wOVQxMjowMDowMC4wMDBaIiwicmVjZWl2ZWRCZWZvcmUiOiIyMDI0LTAxLTA5VDExOjU4OjAwLjAwMFoifQ=="
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scopes
read:creator— Access creator profiles, content, and creator-specific information.read:chat— Read chat conversations, messages, and chat-related data. This includes viewing chat lists and message history.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Query Parameters
Cursor for fetching the next page of media
Filter by media type (image, video, audio, document)
Available options:
image, video, audio, document Number of media items to return (1-50, default: 20)
Required range:
1 <= x <= 50Was this page helpful?